<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css" integrity="sha512-1sCRPdkRXhBV2PBLUdRb4tMg1w2YPf37qatUFeS7zlBy7jJI8Lf4VHwWfZZfpXtYSLy85pkm9GaYVYMfw5BC1A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    </head>
<body>

name: <input type="text"> <br> <br>

Password: <input type="password" pattern="[a-z]{3}" id="myInput"><br><br>
<button onclick="myFunction()" id="btn"><i class="fa-solid fa-eye-slash"></i></button>

<script>
function myFunction() {
  let showPassword = document.getElementById("myInput");
  let closeBtn=document.getElementById('btn');
  if (showPassword.type === "password") {
    showPassword.type = "text";
    
    closeBtn.innerHTML='<i class="fa-solid fa-eye">'

  } 
  else {
    showPassword.type = "password";
    closeBtn.innerHTML='<i class="fa-solid fa-eye-slash"></i>'
  }
}
</script>

</body>
</html>
